commit:     5140974361132860b7a219a4f33eade07d1e092a
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Nov  4 18:20:03 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Nov  4 18:20:03 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=51409743

dev-python/flake8-polyfill: use pep517

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 .../flake8-polyfill-1.0.2-r1.ebuild                | 32 ++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/dev-python/flake8-polyfill/flake8-polyfill-1.0.2-r1.ebuild 
b/dev-python/flake8-polyfill/flake8-polyfill-1.0.2-r1.ebuild
new file mode 100644
index 000000000000..43a2e3378dbd
--- /dev/null
+++ b/dev-python/flake8-polyfill/flake8-polyfill-1.0.2-r1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+inherit distutils-r1
+
+DESCRIPTION="Polyfill package for Flake8 plugins"
+HOMEPAGE="https://gitlab.com/pycqa/flake8-polyfill";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/flake8[${PYTHON_USEDEP}]"
+BDEPEND="test? ( dev-python/mock[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+       # Get rid of the test that seems to test only the migration from
+       # pep8 to pycodestyle (bug 598918).
+       tests/test_stdin.py
+)
+
+src_prepare() {
+       sed -e 's|\[pytest\]|\[tool:pytest\]|' -i setup.cfg || die
+       distutils-r1_src_prepare
+}

Reply via email to